<?php
  $session = $this->getSession();
  $filter_html = new Yab_Filter_Html();
  $oa_id = $session->get('oa_id');
    
    
  $participation_participations = json_encode($participations, JSON_UNESCAPED_SLASHES | JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE) ;

?>
<link href="<?php echo $request->getBaseUrl(); ?>/css/fullcalendar/fullcalendar.css" rel="stylesheet" />
<link href="<?php echo $request->getBaseUrl(); ?>/css/fullcalendar/fullcalendar.print.css" rel="stylesheet" media="print" />
<script src="<?php echo $request->getBaseUrl(); ?>/js/moment-with-locales.js"></script>
<script src="<?php echo $request->getBaseUrl(); ?>/js/fullcalendar/fullcalendar.min.js"></script>
<script>

  $(window).load(function(){
  
    var oa_id="<?php echo $oa_id ; ?>" ;

		/* Mise &agrave; jour des events
		-----------------------------------------------------------------*/
    function updateEvent(event,dayDelta,minuteDelta,allDay)
    {
       $.ajax({
        type:"POST",
  			url: "<?php echo $this->getRequest('Dashboard_Participation','Edit' ) ; ?>"+event.id,
  			data: {
          'id':event.id, 
          'dayDelta': dayDelta, 
          'minuteDelta': minuteDelta, 
          'allDay': allDay,
          'title':event.title,
          'event':event
        },
        success: function(returnData) {
          $("#modalBody").html(returnData);
          $('#myModal').modal();
          if(data.error)
            alert(data.error);
         },
         error: function(returnData) {
          alert('Une erreur est survenue.'); 
         }
        });
    }
    function addEvent(intervenant_id)
    {
       $.ajax({
        type:"POST",
  			url: "<?php echo $this->getRequest('Dashboard_Participation','Add' ) ; ?>",
  			data: {
          'oa_id': oa_id,
          'intervenant_id':intervenant_id
        },
        success: function(returnData) {
          $("#modalBody").html(returnData);
          $('#myModal').modal();
          if(data.error)
            alert(data.error);
         },
         error: function(returnData) {
          alert('Une erreur est survenue.'); 
         }
        });
    }
    function showEvent(event)
    {
       $.ajax({
        type:"POST",
  			url: "<?php echo $this->getRequest('Dashboard_Participation','Show' ) ; ?>"+event.id,
  			data: "id="+event.id,
        success: function(returnData) {
          // Affichage du modal (boite de dialogue)
          $('#modalTitle').html('Participation');
          $("#modalBody").html(returnData);
          $('#myModal').modal();
          if(data.error)
            alert(data.error);
         },
         error: function(returnData) {
          alert('Une erreur est survenue.'); 
         }
        });
    }
        
		/* initialize the external events
		-----------------------------------------------------------------*/

		$('#external-events .fc-event').each(function() {

			// store data so the calendar knows to render an event upon drop
			$(this).data('event', {
				title: $.trim($(this).text()), // use the element's text as the event title
				stick: true // maintain when user navigates (see docs on the renderEvent method)
			});

			// make the event draggable using jQuery UI
			$(this).draggable({
				zIndex: 999,
				revert: true,      // will cause the event to go back to its
				revertDuration: 0  //  original position after the drag
			});

		});

    // initialise la langue.
    var currentLangCode = 'fr' ;
    
    var oa_date_debut = '<?php print $oa_date_debut ; ?>' ;
    
    var participation_events = <?php print $participation_participations ; ?> ;
    
    $('#oa_calendar').fullCalendar({
      header: {
      	left: 'today, prevYear, prev,next, nextYear',
      	center: 'title',
      	//right: 'agendaDay, agendaWeek, month'
        right: 'basicDay, basicWeek, month, year'
      },
      defaultView: 'month',
      defaultDate: oa_date_debut,
      lang: currentLangCode,
      editable: true,
      selectable: true,
      selectHelper: true,
      events: '<?php echo $this->getRequest('Dashboard_Oa','ParticipationsAjax' ) ; ?>',
      eventDrop: function(event,dayDelta,minuteDelta,allDay,revertFunc) {    
         if (!confirm("Valider la modification ?")) {
             revertFunc();
         } else {
             updateEvent(event,dayDelta,minuteDelta,allDay);
         }
      },
      eventResize: function(event,dayDelta,minuteDelta,revertFunc) {
         if (!confirm("Valider la modification ?")) {
             revertFunc();
         } else {
             updateEvent(event,dayDelta,minuteDelta,0);
         }
      },
      eventClick:  function(event) {
         showEvent(event);
      },
      /*
      eventClick:  function(event, jsEvent, view) {
        // Construction de l'affichage du detail de la participation        
        $('#eventTitle').html(event.title);
        $('#startTime').html(event.start._i);
        $('#endTime').html(event.end._i);
        $('#eventInfo').html(event.role);
        $('#eventUrl').attr('href', event.url);
        // Affichage du modal (boite de dialogue)
        $('#modalTitle').html('Participation');
        eventContentModal = $('#eventContent').html() ; 
        // console.log(eventContentModal) ;
        $('#modalBody').html(eventContentModal );
        $('#myModal').modal();
      },
      */
      droppable: true, // this allows things to be dropped onto the calendar
    	drop: function() {
        intervenant_id = $(this).id ;
        data = $(this) ;
        // console.log(data);
        
        addEvent(intervenant_id);
        // is the "remove after drop" checkbox checked?
    		if ($('#drop-remove').is(':checked')) {
    			// if so, remove the element from the "Draggable Events" list
    			$(this).remove();
    		}
    	}
    });
    
});

   

</script>
<style>
	
	#external-events .fc-event {
		margin: 5px 0;
		cursor: pointer;
	}
		
	#external-events p {
		margin: 1.5em 0;
		font-size: 11px;
		color: #666;
	}
		
	#external-events p input {
		margin: 0;
		vertical-align: middle;
	}

</style>
<div class="col-md-12">
  <div class="col-md-2">
    <div class="panel panel-primary">                        
      <div class="panel-heading"> Intervenants </div>
      <div class="panel-footer">
        <div class="row" id="external-events">
        <?php foreach($intervenants as $intervenant): ?>
  		  <div class="fc-event" id="<?php echo $intervenant->get('id', $filter_html); ?>">
        <?php echo $intervenant->get('nom', $filter_html)." ".$intervenant->get('prenom', $filter_html) ; ?>
        </div>      
        <?php endforeach; ?>
        </div>
      </div>
  		<!--
      <div class="panel-footer">
  			<input type="checkbox" id="drop-remove" />
  			<label for="drop-remove">remove after drop</label>
  		</div>
      -->
  	</div>
  </div>
  <div class="col-md-10">
    <div  id="oa_calendar"></div>
  </div>
  <!-- <div style="clear:both"></div> -->

</div>
<div id="modal_eventContent" style="display:none;">
  <div id="eventContent" class="bs-callout bs-callout-warning">
    <h4><span id="eventTitle" title="Details de la Participation" ></span></h4>
    <p> du <span id="startTime"></span> au <span id="endTime"></span></p>
    <p>en tant que <span  id="eventInfo"></span></p>
    <!-- <p><strong><a id="eventLink" href="" target="_blank">Read More</a></strong></p> -->
  </div>
</div>
